## GUPnPXMLDoc GUPnPXMLDoc — GObject wrapper for xmlDoc. |

## Functions

GUPnPXMLDoc * | gupnp_xml_doc_new ()
GUPnPXMLDoc * | gupnp_xml_doc_new_from_path ()
const xmlDoc * | gupnp_xml_doc_get_doc ()

## Types and Values

| GUPnPXMLDoc

## Description

GObject wrapper for xmlDoc, so that we can use refcounting and weak references.

## Functions

### gupnp_xml_doc_new ()

    GUPnPXMLDoc *
    gupnp_xml_doc_new (xmlDoc *xml_doc);

Create a new GUPnPXMLDoc for `xml_doc` .

#### Parameters

xml_doc | Pointer to xmlDoc to wrap under this object. | [transfer full]

#### Returns

A new GUPnPXMLDoc, or `NULL` on an error

Since: 0.14.0

### gupnp_xml_doc_new_from_path ()

    GUPnPXMLDoc *
    gupnp_xml_doc_new_from_path (const char *path,
                                 GError **error);

Create a new GUPnPXMLDoc for the XML document at `path` .

#### Parameters

path | Path to xml document |
error | Location to put the error into. | [inout][optional][nullable]

#### Returns

A new GUPnPXMLDoc, or `NULL` on an error.

[nullable]

Since: 0.14.0

### gupnp_xml_doc_get_doc ()

    const xmlDoc *
    gupnp_xml_doc_get_doc (GUPnPXMLDoc *xml_doc);

#### Parameters

xml_doc | A GUPnPXMLDoc |

#### Returns

a pointer to the wrapped xmlDoc

## Types and Values

### GUPnPXMLDoc

    typedef struct _GUPnPXMLDoc GUPnPXMLDoc;

Reference-counting wrapper for libxml's xmlDoc

#### Members